Bug 990823 - SVGs in Publican brands do not work with Internet Explorer 8
SVGs in Publican brands do not work with Internet Explorer 8
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 01:00 EDT by Misty Stanley-Jones
Modified: 2014-06-18 03:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misty Stanley-Jones 2013-08-01 01:00:23 EDT
Description of problem:

Internet Explorer 8 and earlier do not support SVG graphics. Users of this configuration see no logo at all.

Version-Release number of selected component (if applicable):

Any documentation with the Red Hat logo, when viewed on IE8 or earlier. For instance, https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Administration_and_Configuration_Guide/

How reproducible:

Every time

Steps to Reproduce:
1. Use IE 8
2. View https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Administration_and_Configuration_Guide/
3. Notice that there is no visible logo.

Actual results:

Don't see the logo.

Expected results:

Expect to see the logo.

Additional info:

According to andyfitz, you can override the SVG with a PNG, and IE will use the PNG but everyone who supports it will use the SVG.

This has a branding impact not only for Red Hat brands, but for each other customer who puts their logo on their documentation in SVG format.
Comment 2 HSS Product Manager 2013-09-24 00:57:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-09-24 01:12:49 EDT
Fixed all SVGs to fall back to $filename =~ s/.svg/.png/

Brands must ship title_logo.png for this to work for them.

This will not work with DocBook5, a request must be opened upstream to get this patch added.

$ diff -u graphics.xsl graphics2.xsl
--- xhtml-1_1/graphics.xsl	2013-09-24 15:09:08.132541186 +1000
+++ xhtml-1_1/graphics2.xsl	2013-09-24 15:10:30.807424703 +1000
@@ -545,6 +545,7 @@
               </xsl:call-template>
             </embed>
           </xsl:if>
+          <img src="{substring-before($output_filename,'.svg')}.png" alt="{$alt}"/>
         </object>
       </xsl:when>
       <xsl:otherwise>
@@ -1508,4 +1509,5 @@
   </xsl:choose>
 </xsl:template>

To ssh://git.fedorahosted.org/git/publican.git
   9202cbd..ed5856e  HEAD -> devel
Comment 4 Ruediger Landmann 2013-10-18 20:33:08 EDT
Verified on a DocBook 4 book built with publican-3.9.9-0.fc19.t11.noarch and viewed on IE6, IE7, and IE8 on Windows XP.

Note You need to log in before you can comment on or make changes to this bug.